## pgfaceting 0.2.0

=== Makefile ===
EXTENSION = pgfaceting
DATA = sql/pgfaceting--0.2.0.sql

TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgfaceting (0.2.0-5) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117298)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 12:59:53 +0200

pgfaceting (0.2.0-4) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2024 10:37:35 +0200

pgfaceting (0.2.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 23:37:04 +0200

pgfaceting (0.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Apr 2024 09:38:09 +0200

pgfaceting (0.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Mar 2024 15:31:17 +0000

=== debian/control ===
Source: pgfaceting
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-18-roaringbitmap,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/cybertec-postgresql/pgfaceting
Vcs-Browser: https://salsa.debian.org/postgresql/pgfaceting
Vcs-Git: https://salsa.debian.org/postgresql/pgfaceting.git

Package: postgresql-18-pgfaceting
Architecture: all
Depends:
 postgresql-18-roaringbitmap,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Faceted query acceleration for PostgreSQL using roaring bitmaps
 PostgreSQL extension to quickly calculate facet counts using inverted indexes
 built with roaring bitmaps. Requires pg_roaringbitmap to be installed.
 .
 Faceting means counting number occurrences of each value in a result set for a
 set of attributes. Typical example of faceting is a web shop where you can see
 how many items are remaining after filtering your search by red, green or
 blue, and how many when filtering by size small, medium or large.

=== debian/watch ===
version=4
https://github.com/cybertec-postgresql/pgfaceting/tags .*/v(.*).tar.gz
